Bridges
AGH Bridges HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
/api/bridgesQuery Parameters
Filter by bridge scope
"all" | "global" | "workspace"Filter by active workspace id
Filter by workspace id, name, or path
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/bridges"{
"bridge_health": {
"property1": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
},
"property2": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
}
},
"bridges": [
{
"created_at": "2019-08-24T14:15:22Z",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_defaults": {
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"display_name": "string",
"dm_policy": "open",
"enabled": true,
"extension_name": "string",
"id": "string",
"notification_suppress": true,
"platform": "string",
"provider_config": {
"property1": null,
"property2": null
},
"routing_policy": {
"include_group": true,
"include_peer": true,
"include_thread": true
},
"scope": "global",
"source": "dynamic",
"status": "auth_required",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridgesRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bridges" \ -H "Content-Type: application/json" \ -d '{ "display_name": "string", "enabled": true, "extension_name": "string", "platform": "string", "routing_policy": { "include_group": true, "include_peer": true, "include_thread": true }, "scope": "global" }'{
"bridge": {
"created_at": "2019-08-24T14:15:22Z",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_defaults": {
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"display_name": "string",
"dm_policy": "open",
"enabled": true,
"extension_name": "string",
"id": "string",
"notification_suppress": true,
"platform": "string",
"provider_config": {
"property1": null,
"property2": null
},
"routing_policy": {
"include_group": true,
"include_peer": true,
"include_thread": true
},
"scope": "global",
"source": "dynamic",
"status": "auth_required",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"health": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}curl -X GET "https://example.com/api/bridges/providers"{
"providers": [
{
"config_schema": {
"schema": "string",
"version": "string"
},
"description": "string",
"display_name": "string",
"enabled": true,
"extension_name": "string",
"health": "string",
"health_message": "string",
"platform": "string",
"secret_slots": [
{
"description": "string",
"name": "string",
"required": true
}
],
"state": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}Path Parameters
Bridge instance id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/bridges/string"{
"bridge": {
"created_at": "2019-08-24T14:15:22Z",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_defaults": {
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"display_name": "string",
"dm_policy": "open",
"enabled": true,
"extension_name": "string",
"id": "string",
"notification_suppress": true,
"platform": "string",
"provider_config": {
"property1": null,
"property2": null
},
"routing_policy": {
"include_group": true,
"include_peer": true,
"include_thread": true
},
"scope": "global",
"source": "dynamic",
"status": "auth_required",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"health": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}Path Parameters
Bridge instance id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/bridges/string" \ -H "Content-Type: application/json" \ -d '{}'{
"bridge": {
"created_at": "2019-08-24T14:15:22Z",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_defaults": {
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"display_name": "string",
"dm_policy": "open",
"enabled": true,
"extension_name": "string",
"id": "string",
"notification_suppress": true,
"platform": "string",
"provider_config": {
"property1": null,
"property2": null
},
"routing_policy": {
"include_group": true,
"include_peer": true,
"include_thread": true
},
"scope": "global",
"source": "dynamic",
"status": "auth_required",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"health": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/disablePath Parameters
Bridge instance id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bridges/string/disable"{
"bridge": {
"created_at": "2019-08-24T14:15:22Z",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_defaults": {
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"display_name": "string",
"dm_policy": "open",
"enabled": true,
"extension_name": "string",
"id": "string",
"notification_suppress": true,
"platform": "string",
"provider_config": {
"property1": null,
"property2": null
},
"routing_policy": {
"include_group": true,
"include_peer": true,
"include_thread": true
},
"scope": "global",
"source": "dynamic",
"status": "auth_required",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"health": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/enablePath Parameters
Bridge instance id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bridges/string/enable"{
"bridge": {
"created_at": "2019-08-24T14:15:22Z",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_defaults": {
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"display_name": "string",
"dm_policy": "open",
"enabled": true,
"extension_name": "string",
"id": "string",
"notification_suppress": true,
"platform": "string",
"provider_config": {
"property1": null,
"property2": null
},
"routing_policy": {
"include_group": true,
"include_peer": true,
"include_thread": true
},
"scope": "global",
"source": "dynamic",
"status": "auth_required",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"health": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/resolvePath Parameters
Bridge instance id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bridges/string/resolve" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"result": {
"ambiguous": true,
"candidates": [
{
"bridge_id": "string",
"canonical_route": "string",
"capabilities": [
"string"
],
"display_name": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"normalized": "string",
"qualifier": "string",
"target_type": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"match": {
"bridge_id": "string",
"canonical_route": "string",
"capabilities": [
"string"
],
"display_name": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"normalized": "string",
"qualifier": "string",
"target_type": "string",
"updated_at": "2019-08-24T14:15:22Z"
},
"step": 0
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"result": {
"ambiguous": true,
"candidates": [
{
"bridge_id": "string",
"canonical_route": "string",
"capabilities": [
"string"
],
"display_name": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"normalized": "string",
"qualifier": "string",
"target_type": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"match": {
"bridge_id": "string",
"canonical_route": "string",
"capabilities": [
"string"
],
"display_name": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"normalized": "string",
"qualifier": "string",
"target_type": "string",
"updated_at": "2019-08-24T14:15:22Z"
},
"step": 0
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"result": {
"ambiguous": true,
"candidates": [
{
"bridge_id": "string",
"canonical_route": "string",
"capabilities": [
"string"
],
"display_name": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"normalized": "string",
"qualifier": "string",
"target_type": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"match": {
"bridge_id": "string",
"canonical_route": "string",
"capabilities": [
"string"
],
"display_name": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"normalized": "string",
"qualifier": "string",
"target_type": "string",
"updated_at": "2019-08-24T14:15:22Z"
},
"step": 0
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/restartPath Parameters
Bridge instance id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bridges/string/restart"{
"bridge": {
"created_at": "2019-08-24T14:15:22Z",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_defaults": {
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"display_name": "string",
"dm_policy": "open",
"enabled": true,
"extension_name": "string",
"id": "string",
"notification_suppress": true,
"platform": "string",
"provider_config": {
"property1": null,
"property2": null
},
"routing_policy": {
"include_group": true,
"include_peer": true,
"include_thread": true
},
"scope": "global",
"source": "dynamic",
"status": "auth_required",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"health": {
"auth_failures_total": 0,
"bridge_instance_id": "string",
"degradation": {
"message": "string",
"reason": "auth_failed"
},
"delivery_backlog": 0,
"delivery_dropped_by_reason": {
"property1": 0,
"property2": 0
},
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"diagnostics": [
{
"bridge_instance_id": "string",
"degradation_reason": "auth_failed",
"kind": "unknown_destination",
"message": "string",
"next_action": "string",
"secret_slot": "string",
"severity": "info",
"source": "string",
"status": "auth_required"
}
],
"last_error": "string",
"last_error_at": "2019-08-24T14:15:22Z",
"last_success_at": "2019-08-24T14:15:22Z",
"route_count": 0,
"status": "auth_required"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/routesPath Parameters
Bridge instance id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/bridges/string/routes"{
"routes": [
{
"agent_name": "string",
"bridge_instance_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"group_id": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"peer_id": "string",
"routing_key_hash": "string",
"scope": "global",
"session_id": "string",
"thread_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/secret-bindingsPath Parameters
Bridge instance id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/bridges/string/secret-bindings"{
"bindings": [
{
"binding_name": "string",
"bridge_instance_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"kind": "string",
"secret_ref": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/secret-bindings/{binding_name}Path Parameters
Bridge instance id
Bridge provider secret slot name
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/bridges/string/secret-bindings/string"{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/secret-bindings/{binding_name}Path Parameters
Bridge instance id
Bridge provider secret slot name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/bridges/string/secret-bindings/string" \ -H "Content-Type: application/json" \ -d '{ "kind": "string", "secret_ref": "string" }'{
"binding": {
"binding_name": "string",
"bridge_instance_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"kind": "string",
"secret_ref": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/targetsPath Parameters
Bridge instance id
Query Parameters
Filter targets by display name, qualifier, or route
Maximum targets to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/bridges/string/targets"{
"bridge_id": "string",
"cache_stale": true,
"generated_at": "2019-08-24T14:15:22Z",
"last_successful_refresh_at": "2019-08-24T14:15:22Z",
"targets": [
{
"bridge_id": "string",
"canonical_route": "string",
"capabilities": [
"string"
],
"display_name": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"normalized": "string",
"qualifier": "string",
"target_type": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total": 0
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/bridges/{id}/test-deliveryPath Parameters
Bridge instance id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bridges/string/test-delivery" \ -H "Content-Type: application/json" \ -d '{ "target": {} }'{
"delivery_target": {
"bridge_instance_id": "string",
"group_id": "string",
"mode": "direct-send",
"peer_id": "string",
"thread_id": "string"
},
"message": "string",
"status": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}